DocumentaciónReferencia APIObtener automatización
    GETDisponible

    Obtener automatización

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/automate/flows/{id}

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    id*pathintegerIdentificador id.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/automate/flows/1" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "data": {
        "id": "f4EaLhOW2zoEsXXSOJP2r",
        "name": "Order lookup",
        "status": "enabled",
        "updated_at": "2026-07-24T18:23:57.259Z",
        "definition": {
          "name": "trigger",
          "type": "PIECE_TRIGGER",
          "displayName": "Catch Webhook",
          "settings": {
            "pieceName": "@activepieces/piece-webhook",
            "triggerName": "catch_webhook"
          },
          "nextAction": {
            "name": "step_1",
            "type": "PIECE",
            "displayName": "Look up the order",
            "settings": {
              "pieceName": "@activepieces/piece-http",
              "actionName": "send_request",
              "input": {
                "url": "https://api.example.com/orders",
                "method": "GET",
                "headers": {
                  "Authorization": "••• hidden"
                }
              }
            }
          }
        },
        "binding": null
      }
    }

    Errores habituales

    404